Client server schedules
Create schedule
Creates a new schedule
POST
/api/client/servers/{server}/schedulesAuthorization
ClientToken AuthorizationBearer <token>
Client API key (generated at /account/api)
In: header
Path Parameters
server*string
Server identifier (short 8-character ID)
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/client/servers/1a7ce997/schedules" \ -H "Content-Type: application/json" \ -d '{ "name": "Minute Hello", "minute": "*", "hour": "*", "day_of_month": "*", "day_of_week": "*", "is_active": true }'{ "object": "server_schedule", "attributes": { "id": 4, "name": "Minute Hello", "cron": { "day_of_week": "*", "day_of_month": "*", "hour": "*", "minute": "*" }, "is_active": true, "is_processing": false, "last_run_at": null, "next_run_at": "2020-06-13T15:17:00+01:00", "created_at": "2020-06-13T15:16:45+01:00", "updated_at": "2020-06-13T15:16:45+01:00", "relationships": { "tasks": { "object": "list", "data": [] } } }}